Bug 213992 - Should handle DB errors gracefully
Should handle DB errors gracefully
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 213993
  Show dependency treegraph
 
Reported: 2006-11-04 07:38 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.35-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 12:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-04 07:38:46 EST
Description of problem:
The as-shipped foomatic database unfortunately contains some consistency errors.
 system-config-printer should handle them gracefully.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.33-1
foomatic-3.0.2-38

How reproducible:
100%

Steps to Reproduce:
1. Change a PPD to 'Epson Stylus C46' with 'gimp-print-ijs'
2. Create new printer with same
  
Actual results:
Tracebacks.

Expected results:
Error dialogs.

Additional info:
Fix in CVS post-0.7.33.
Comment 1 Fedora Update System 2006-11-09 12:03:34 EST
Fixed in update: system-config-printer-0.7.35-1.fc6

Note You need to log in before you can comment on or make changes to this bug.